org.richfaces.component

## Class UIColumnGroup

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - org.richfaces.component.UIColumnGroup

- All Implemented Interfaces:
    javax.faces.component.StateHolder, org.richfaces.component.Column, org.richfaces.component.Row
  Direct Known Subclasses:
    HtmlColumnGroup

      public abstract class UIColumnGroup
      extends javax.faces.component.UIPanel
      implements org.richfaces.component.Row

  JSF component class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIColumnGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<javax.faces.component.UIComponent>` | `columns()`
    `boolean` | `isBreakBefore()`
    `void` | `setBreakBefore(boolean newBreakBefore)`

    - ### Methods inherited from class javax.faces.component.UIPanel

      `getFamily`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.Column

      `getFilterMethod, getFilterValue, getSortExpression, getSortOrder, isSelfSorted, isSortable, setFilterMethod, setFilterValue, setSelfSorted, setSortable, setSortExpression, setSortOrder`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIColumnGroup

          public UIColumnGroup()

  - ### Method Detail

    - #### columns

          public java.util.Iterator<javax.faces.component.UIComponent> columns()

      Specified by:
        `columns` in interface `org.richfaces.component.Row`

    - #### isBreakBefore

          public boolean isBreakBefore()

      Specified by:
        `isBreakBefore` in interface `org.richfaces.component.Column`

    - #### setBreakBefore

          public void setBreakBefore(boolean newBreakBefore)

      Specified by:
        `setBreakBefore` in interface `org.richfaces.component.Column`

Copyright © 2014. All Rights Reserved.